image: mcr.microsoft.com/dotnet/sdk:latest

stages:
    - build
    - publish
    - deploy
    - deploy-test

build-image:
  stage: build
  tags:
    - shell
  script:
    - docker build -t tech-lead-lesson-3:1.0 .

push-image:
  stage: publish
  tags:
    - shell
  before_script:
    - docker login -u $DOCKERHUB_USER -p $DOCKERHUB_PASSWORD
  script:
    - docker push tech-lead-lesson-3:1.0


deploy:
    stage: deploy
    script:
        - ""

deploy-test:
    stage: deploy-test
    script:
        - ""